{
	"format_version": "1.10.0",
	"particle_effect": {
		"description": {
			"identifier": "df:warden_reap.particle",
			"basic_render_parameters": {
				"material": "particles_alpha",
				"texture": "textures/particle/particles"
			}
		},
		"curves": {
			"variable.psize2": {
				"type": "bezier",
				"input": "variable.particle_age",
				"horizontal_range": "variable.particle_lifetime",
				"nodes": [1.22, 2.16, 0, 0]
			}
		},
		"components": {
			"minecraft:emitter_initialization": {
				"creation_expression": "variable.radius = 1;"
			},
			"minecraft:emitter_rate_steady": {
				"spawn_rate": "300+math.random_integer(20,200)",
				"max_particles": 500
			},
			"minecraft:emitter_lifetime_once": {
				"active_time": 0.2
			},
			"minecraft:emitter_shape_box": {
				"half_dimensions": [0.1, 0.5, 0.1],
				"surface_only": true,
				"direction": ["math.random(-5,5)", "math.random(-5,5)", "math.random(-5,5)"]
			},
			"minecraft:particle_lifetime_expression": {
				"max_lifetime": 1
			},
			"minecraft:particle_initial_spin": {
				"rotation_rate": 5
			},
			"minecraft:particle_initial_speed": 5,
			"minecraft:particle_motion_dynamic": {
				"linear_acceleration": ["math.random(-5,5)", "math.random(-5,5)", "math.random(-5,5)"],
				"linear_drag_coefficient": 1,
				"rotation_acceleration": 4,
				"rotation_drag_coefficient": 1
			},
			"minecraft:particle_appearance_billboard": {
				"size": ["variable.psize2*0.05", "variable.psize2*0.05"],
				"facing_camera_mode": "lookat_xyz",
				"uv": {
					"texture_width": 128,
					"texture_height": 128,
					"flipbook": {
						"base_UV": [0, 89],
						"size_UV": [8, 8],
						"step_UV": [8, 0],
						"frames_per_second": 8,
						"max_frame": 8,
						"stretch_to_lifetime": true
					}
				}
			},
			"minecraft:particle_appearance_lighting": {},
			"minecraft:particle_appearance_tinting": {
				"color": {
					"interpolant": "variable.particle_random_2*math.random(0,1)/variable.particle_lifetime",
					"gradient": {
						"0.0": "#99007855",
						"0.2": "#2911C77B"
					}
				}
			}
		}
	}
}